<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmClientType Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmClientType Enumeration

Visual Basic
C#
C++/CLI
Types of SOLIDWORKS PDM Professional client; used in calls to IEdmVault8::ClientType.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmClientType
       Inherits System.Enum

C# |
--- | ---

    public enum EdmClientType : System.Enum

C++/CLI |
--- | ---

    public enum class EdmClientType : public System.Enum

# Members

Member | Description
--- | ---
Edmct_ConisioLight | 2 = SOLIDWORKS PDM Professional Viewer
Edmct_ConisioLT | 4 = LT (Version 5.3 and older)
Edmct_ConisioProf | 0 = SOLIDWORKS PDM Professional Editor
Edmct_ConisioStd | 1 = SOLIDWORKS PDM Professional Contributor
Edmct_ConisioWeb | 3 = SOLIDWORKS PDM Professional Web
Edmct_None | -1 = No SOLIDWORKS PDM Professional client is installed
Edmct_Reserved | Do not use

# See Also

####

EPDM.Interop.epdm Namespace